<!DOCTYPE html>
<html lang="{% block html_lang %}{{ DEFAULT_LANG }}{% endblock html_lang %}">

<head>
  {% block head %}
  <title>{% block title %}{{ SITENAME }}{% endblock title %}</title>

  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- inline svg text favicon -->
  <link rel="icon" href=
  "data:image/svg+xml,
    <svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 100 100'>
      <text fill='blue' x='50' y='100' font-size='120' text-anchor='middle'>
        ⬭
      </text>
      <text fill='blue' x='50' y='80' font-size='120' text-anchor='middle'>
        ⬭
      </text>
    </svg>
  ">

  <!-- meta tags -->
  <meta name="generator" content="Pelican" />
  <meta name="title" content="{% block meta_title %}{{ SITENAME }}{% endblock %}">
  <meta name="author" content="{% block meta_author %}{{ AUTHOR }}{% endblock %}">
  <meta name="description" content="{% block meta_description %}{% endblock %}">
  <meta name="keywords" content="{% block meta_keywords %}{% endblock %}">

  <!-- CSS -->
  <link rel="stylesheet" type="text/css" href="{{ SITEURL }}/{{ THEME_STATIC_DIR }}/css/main.css" />
  <link rel="stylesheet" type="text/css" href="{{ SITEURL }}/{{ THEME_STATIC_DIR }}/css/typography.css" />
  <link rel="stylesheet" type="text/css" href="{{ SITEURL }}/{{ THEME_STATIC_DIR }}/css/codeblock.css" />
  <link rel="stylesheet" type="text/css" href="{{ SITEURL }}/{{ THEME_STATIC_DIR }}/css/codelight.css" />

  {% endblock head %}
</head>

<body class="{% block body_class %}{% endblock %}">

  {% block content %}
  {% endblock %}

  {% block script %}
  {% endblock %}

</body>

</html>
